in scala.xml
class Node

`abstract class` Node
  `extends` scala.xml.NodeSeq
  `with` scala.ScalaObject

  An abstract class representing XML with nodes of a labelled tree. This class contains an implementation of a subset of XPath for navigation.

Author:
  Burak Emir and others
Version:
  1.1

Direct Known Subclasses:
  SpecialNode, Group, Elem

Constructor Summary
| `def` this

Def Summary
`final` | `def` attribute (key: java.lang.String) : scala.Option[scala.Seq[scala.xml.Node]] Convenience method, looks up an unprefixed attribute in attributes of this node. Same as `attributes.getValue(key)`
`final` | `def` attribute (uri: java.lang.String, key: java.lang.String) : scala.Option[scala.Seq[scala.xml.Node]] Convenience method, looks up a prefixed attribute in attributes of this node. Same as `attributes.getValue(uri, this, key)`
| `def` attributes : scala.xml.MetaData Returns attribute meaning all attributes of this node, prefixed and unprefixed, in no particular order. In class Node, this defaults to Null (the empty attribute list).
`abstract` | `def` child : scala.Seq[scala.xml.Node] Returns child axis i.e. all children of this node.
| `def` descendant : scala.List[scala.xml.Node] Descendant axis (all descendants of this node, not including node itself) includes all text nodes, element nodes, comments and processing instructions.
| `def` descendant_or_self : scala.List[scala.xml.Node] Descendant axis (all descendants of this node, including thisa node) includes all text nodes, element nodes, comments and processing instructions.
`override` | `def` equals (x: scala.Any) : scala.Boolean Returns true if x is structurally equal to this node. Compares prefix, label, attributes and children.
| `def` getNamespace (pre: java.lang.String) : java.lang.String Convenience method, same as `scope.getURI(pre)` but additionally checks if scope is `null`.
`abstract` `override` | `def` hashCode : scala.Int Returns a hashcode. A standard implementation of hashcodes is obtained by calling Utility.hashCode(pre, label, attributes.hashCode(), child);
`abstract` | `def` label : java.lang.String label of this node. I.e. "foo" for <foo/>)
| `def` nameToString (sb: scala.compat.StringBuilder) : scala.compat.StringBuilder Appends qualified name of this node to `StringBuilder`.
| `def` namespace : java.lang.String convenience, same as `getNamespace(this.prefix)`
| `def` prefix : java.lang.String prefix of this node
| `def` scope : scala.xml.NamespaceBinding method returning the namespace bindings of this node. by default, this is TopScope, which means there are no namespace bindings except the predefined one for "xml".
`abstract` `override` | `def` text : java.lang.String Returns a text representation of this node. Note that this is not equivalent to the XPath node-test called text(), it is rather an implementation of the XPath function string()
| `def` theSeq : scala.Seq[scala.xml.Node] returns a sequence consisting of only this node
| `def` toString (stripComment: scala.Boolean) : java.lang.String String representation of this node
`override` | `def` toString : java.lang.String Same as `toString(false)`.
| `def` typeTag$ : scala.Int used internally. Atom/Molecule = -1 PI = -2 Comment = -3 EntityRef = -5
| `def` xmlType : scala.xml.TypeSymbol Returns a type symbol (e.g. DTD, XSD), default `null`.

Def inherited from scala.xml.NodeSeq
\ , \\, apply, apply, elements, equals, length, text, theSeq, toString

Constructor Detail

`def` this

Def Detail

`final def` attribute (key: java.lang.String): scala.Option[scala.Seq[scala.xml.Node]]

  Convenience method, looks up an unprefixed attribute in attributes of this node. Same as `attributes.getValue(key)`

Parameters:
  `key -` of queried attribute.
Returns:
  value of `UnprefixedAttribute` with given key in attributes, if it exists, otherwise `null`.

`final def` attribute (uri: java.lang.String, key: java.lang.String): scala.Option[scala.Seq[scala.xml.Node]]

  Convenience method, looks up a prefixed attribute in attributes of this node. Same as `attributes.getValue(uri, this, key)`

Parameters:
  `uri -` namespace of queried attribute (may not be null).
Parameters:
  `key -` of queried attribute.
Returns:
  value of `PrefixedAttribute` with given namespace and given key, otherwise `null`.

`def` attributes : scala.xml.MetaData

  Returns attribute meaning all attributes of this node, prefixed and unprefixed, in no particular order. In class Node, this defaults to Null (the empty attribute list).

Returns:
  all attributes of this node

`abstract def` child : scala.Seq[scala.xml.Node]

  Returns child axis i.e. all children of this node.

Returns:
  all children of this node

`def` descendant : scala.List[scala.xml.Node]

  Descendant axis (all descendants of this node, not including node itself) includes all text nodes, element nodes, comments and processing instructions.

`def` descendant_or_self : scala.List[scala.xml.Node]

  Descendant axis (all descendants of this node, including thisa node) includes all text nodes, element nodes, comments and processing instructions.

`override def` equals (x: scala.Any): scala.Boolean

  Returns true if x is structurally equal to this node. Compares prefix, label, attributes and children.

Parameters:
  `x -` ...
Returns:
  `true` if ..

`def` getNamespace (pre: java.lang.String): java.lang.String

  Convenience method, same as `scope.getURI(pre)` but additionally checks if scope is `null`.

Parameters:
  `pre -` the prefix whose namespace name we would like to obtain
Returns:
  the namespace if `scope != null` and prefix was found, else `null`

`abstract override def` hashCode : scala.Int

  Returns a hashcode. A standard implementation of hashcodes is obtained by calling Utility.hashCode(pre, label, attributes.hashCode(), child);

`abstract def` label : java.lang.String

  label of this node. I.e. "foo" for <foo/>)

`def` nameToString (sb: scala.compat.StringBuilder): scala.compat.StringBuilder

  Appends qualified name of this node to `StringBuilder`.

Parameters:
  `sb -` ...
Returns:
  ...

`def` namespace : java.lang.String

  convenience, same as `getNamespace(this.prefix)`

`def` prefix : java.lang.String

  prefix of this node

`def` scope : scala.xml.NamespaceBinding

  method returning the namespace bindings of this node. by default, this is TopScope, which means there are no namespace bindings except the predefined one for "xml".

`abstract override def` text : java.lang.String

  Returns a text representation of this node. Note that this is not equivalent to the XPath node-test called text(), it is rather an implementation of the XPath function string()

`def` theSeq : scala.Seq[scala.xml.Node]

  returns a sequence consisting of only this node

`def` toString (stripComment: scala.Boolean): java.lang.String

  String representation of this node

Parameters:
  `stripComment -` if true, strips comment nodes from result
Returns:
  ...

`override def` toString : java.lang.String

  Same as `toString(false)`.

See Also:
  `toString(Boolean)`

`def` typeTag$ : scala.Int

  used internally. Atom/Molecule = -1 PI = -2 Comment = -3 EntityRef = -5

`def` xmlType : scala.xml.TypeSymbol

  Returns a type symbol (e.g. DTD, XSD), default `null`.